%define url_ver %(echo %{version} | cut -d. -f1,2)

#don't provide plugin .so
%global __provides_exclude_from	%{_libdir}/xfce4/panel/plugins/.*\\.so

Summary: 	A dictionary support for Xfce
Name: 		xfce4-dict
Version: 	0.8.8
Release: 	%mkrel 1
License:	GPLv2+
Group: 		Graphical desktop/Xfce
URL:		https://docs.xfce.org/apps/xfce4-dict/
Source0:	https://archive.xfce.org/src/apps/xfce4-dict/%{url_ver}/%{name}-%{version}.tar.bz2
BuildRequires:	intltool
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libxfce4ui-2)
BuildRequires:	pkgconfig(libxfce4panel-2.0)
Requires:	xfce4-panel >= 4.10.0
Recommends:	enchant

%description
This Xfce program allows you to search different kinds of dictionary services
for words or phrases and shows you the result.Currently you can query a Dict
server(RFC 2229), any online dictionary service by opening a web browser or
search for words using the aspell/ispell program.

%prep
%autosetup -p1

%build
%configure \
	--disable-static
%make_build

%install
%make_install

#we don't want these
find %{buildroot} -name "*.la" -delete

%find_lang %{name}

%files -f %{name}.lang
%license COPYING
%doc ChangeLog AUTHORS
%{_bindir}/%{name}
%{_libdir}/xfce4/panel/plugins/libxfce4dict.so
%{_iconsdir}/hicolor/*/apps/*.{png,svg}
%{_datadir}/xfce4/panel/plugins/%{name}-plugin.desktop
%{_datadir}/applications/*.desktop
%{_mandir}/man1/%{name}.*


%changelog
* Thu Oct 03 2024 wally <wally> 0.8.8-1.mga10
+ Revision: 2102922
- new version 0.8.8

* Sat Jan 20 2024 wally <wally> 0.8.6-1.mga10
+ Revision: 2032388
- new version 0.8.6

* Sun Apr 23 2023 wally <wally> 0.8.5-1.mga9
+ Revision: 1954408
- new version 0.8.5

* Mon Apr 04 2022 umeabot <umeabot> 0.8.4-2.mga9
+ Revision: 1843172
- Mageia 9 Mass Rebuild

* Sat Oct 17 2020 wally <wally> 0.8.4-1.mga8
+ Revision: 1636544
- new version 0.8.4

* Sun Feb 16 2020 umeabot <umeabot> 0.8.3-2.mga8
+ Revision: 1535022
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Tue Oct 08 2019 wally <wally> 0.8.3-1.mga8
+ Revision: 1450628
- new version 0.8.3

* Thu Nov 29 2018 wally <wally> 0.8.2-1.mga7
+ Revision: 1336743
- new version 0.8.2

* Sun Sep 23 2018 umeabot <umeabot> 0.8.1-2.mga7
+ Revision: 1301856
- Mageia 7 Mass Rebuild

* Sat Jun 02 2018 wally <wally> 0.8.1-1.mga7
+ Revision: 1233742
- new version 0.8.1

* Sat Sep 30 2017 wally <wally> 0.8.0-1.mga7
+ Revision: 1162013
- new version 0.8.0
- switch to gtk3

* Mon Apr 25 2016 wally <wally> 0.7.2-1.mga6
+ Revision: 1006138
- new version 0.7.2

* Wed Feb 17 2016 umeabot <umeabot> 0.7.1-2.mga6
+ Revision: 963520
- Mageia 6 Mass Rebuild

* Sun Jun 21 2015 wally <wally> 0.7.1-1.mga6
+ Revision: 837911
- new version 0.7.1

* Tue Mar 03 2015 wally <wally> 0.7.0-5.mga5
+ Revision: 817521
- rebuild for new libxfce4util

* Wed Oct 15 2014 umeabot <umeabot> 0.7.0-4.mga5
+ Revision: 750907
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.7.0-3.mga5
+ Revision: 690607
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Sat Oct 19 2013 umeabot <umeabot> 0.7.0-2.mga4
+ Revision: 523693
- Mageia 4 Mass Rebuild

* Fri May 24 2013 wally <wally> 0.7.0-1.mga4
+ Revision: 426350
- new version 0.7.0
- drop unneeded patches
- exclude plugin .so from provides

* Mon Jan 14 2013 umeabot <umeabot> 0.6.0-6.git20120819.3.mga3
+ Revision: 386807
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 03 2013 wally <wally> 0.6.0-6.git20120819.2.mga3
+ Revision: 338172
- add patch to fix build with automake 1.13

* Sun Aug 19 2012 wally <wally> 0.6.0-6.git20120819.1.mga3
+ Revision: 282167
- use latest git snapshot
- clean .spec
- imported package xfce4-dict


* Tue Apr 17 2012 Crispin Boylan <crisb@mandriva.org> 0.6.0-5mdv2012.0
+ Revision: 791553
- Rebuild

* Mon Apr 09 2012 Crispin Boylan <crisb@mandriva.org> 0.6.0-4
+ Revision: 790041
- Rebuild

* Wed Jan 26 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 0.6.0-3
+ Revision: 633059
- rebuild for new Xfce 4.8.0

* Wed Dec 08 2010 Oden Eriksson <oeriksson@mandriva.com> 0.6.0-2mdv2011.0
+ Revision: 615577
- the mass rebuild of 2010.1 packages

* Thu Dec 31 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.6.0-1mdv2010.1
+ Revision: 484473
- update to new version 0.6.0

* Sat May 09 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.3-1mdv2010.0
+ Revision: 373808
- update to new version 0.5.3

* Thu Mar 05 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.2-2mdv2009.1
+ Revision: 349197
- rebuild whole xfce

* Sat Dec 06 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.2-1mdv2009.1
+ Revision: 310956
- update to new version 0.5.2

* Mon Nov 24 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.1-1mdv2009.1
+ Revision: 306370
- update to new version 0.5.1

* Tue Nov 11 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.0-1mdv2009.1
+ Revision: 302306
- update to new version 0.5.0

* Sat Oct 18 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.4.1-2mdv2009.1
+ Revision: 294945
- rebuild for new Xfce4.6 beta1
- update to new version 0.4.1

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild early 2009.0 package (before pixel changes)

* Mon May 19 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.4.0-1mdv2009.0
+ Revision: 209076
- add source and spec files
- Created package structure for xfce4-dict.

